List a node pool's machines
GET
/api/v1/organizations/{orgID}/clusters/{clusterID}/nodepools/{poolID}/machines
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/nodepools/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/machines';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/nodepools/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/machines \ --header 'Authorization: Bearer <token>'Lists the CAPI machines (nodes) belonging to the node pool.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
clusterID
required
string format: uuid
Cluster UUID.
poolID
required
string format: uuid
Node pool UUID.
Responses
Section titled “ Responses ”The machines in the node pool.
Media type application/json
object
items
required
Array<object>
object
name
required
string
status
required
string
k8s_version
required
string
internal_ip
required
string
age_seconds
required
integer format: int64
created_at
required
string format: date-time
Example
{ "items": [ { "status": "Ready" } ]}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The requested resource was not found.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}